(defun c:sumdim (/ total ent len)
  (setq total 0)  ; 총 길이를 0으로 초기화합니다.
  (setq ent nil)  ; 선택한 엔티티를 초기화합니다.
  
  (prompt "\n치수선을 선택하세요. ESC를 눌러 종료합니다.\n")  ; 사용자에게 메시지를 출력합니다.
  
  (while (/= (setq ent (car (entsel "\n치수선을 선택하세요. (ESC를 눌러 종료): "))) nil)  ; ESC가 눌릴 때까지 루프를 반복합니다.
    (if (eq (cdr (assoc 0 (entget ent))) "DIMENSION")  ; 선택한 객체가 치수선인지 확인합니다.
        (progn
          (setq len (cdr (assoc 42 (entget ent))))  ; 치수선의 길이를 가져옵니다.
          (setq total (+ total len))  ; 길이를 총 길이에 추가합니다.
          )
      (prompt "\n선택한 객체는 치수선이 아닙니다. 치수선을 선택하세요.\n")
      )
    )

  (setq total (rtos total 2 2))  ; 총 길이를 문자열로 변환합니다.

  (if (> (strlen total) 0)  ; 선택한 치수선이 있는지 확인합니다.
    (progn
            (princ (strcat "\n선택한 치수선의 총 길이: " total " mm"))
            (princ)
    )
    (princ "\n선택한 치수선이 없습니다.")
    )
  )